Skip to main content
GET
Get the user's balance for a single asset.

Authorizations

Authorization
string
header
required

Session token from POST /auth/login.

Query Parameters

asset_id
string
required
venue
enum<string>
required

The supported markets of the system.

Available options:
polymarket,
kalshi,
limitless

Response

asset_id
string
required
balance
string
required

An amount in the asset's native indivisible units.

A fixed point representation of a token or USDC amount, scaled by 1e6.

Responses encode amounts as 0x-prefixed hex strings; requests also accept decimal strings and JSON numbers.

pending_balance
string
required

An amount in the asset's native indivisible units.

A fixed point representation of a token or USDC amount, scaled by 1e6.

Responses encode amounts as 0x-prefixed hex strings; requests also accept decimal strings and JSON numbers.